View Issue Details

IDProjectCategoryView StatusLast Update
0006727CentOS-6resource-agentspublic2013-12-18 16:42
Reporterjoelgriffiths Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformCentOS6 
Product Version6.4 
Fixed in Version6.5 
Summary0006727: resource-agents-3.9.2-21.el6_4.8.x86_64 uses incorrect heartbeat path
Descriptionresource-agents-3.9.2-21.el6_4.8.x86_64 alters the path for the heartbeat binary to /usr/libexec/heartbeat even though the actual path for 64bit heartbeat is /usr/lib64/heartbeat. This makes the heartbeat init script exit without warning.

heartbeat-3.0.4-1.el6.x86_64
heartbeat-libs-3.0.4-1.el6.x86_64
resource-agents-3.9.2-21.el6_4.8.x86_64
Steps To Reproduceyum update (on a system with heartbeat installed)
Additional InformationI expect this is related to the checkin here:
https://github.com/ClusterLabs/resource-agents/commit/1e79b7831d9daf9cbfa852f0d6f909d2f7ec4a2a#commitcomment-4538115
TagsNo tags attached.

Relationships

has duplicate 0006762 closedIssue Tracker all heartbeat clusters are dead after glibc update 

Activities

tigalch

tigalch

2013-11-08 09:32

manager   ~0018308

Last edited: 2013-11-08 18:14

On a system with heartbeat installed I still find the heartbeat binary at /usr/lib64/heartbeat/heartbeat.
Also not shure if this does belong here. heartbeat is provided by EPEL, so no CentOS package.

joelgriffiths

joelgriffiths

2013-11-08 12:08

reporter   ~0018310

Yeah. I didn't know exactly where to put this. Since it seems to be caused by a change in "/usr/lib/ocf/lib/heartbeat/ocf-directories" from the CentOS update and not from anything the EPEL package entertainer changed, this seemed to be an appropriate place.

Again from resource-agents-3.9.2-21.el6_4.3.x86_64 to resource-agents-3.9.2-21.el6_4.8.x86_64, the following line changed which broken the heartbeat init script:

-: ${HA_BIN:=/usr/lib64/heartbeat}
+: ${HA_BIN:=/usr/libexec/heartbeat}
tigalch

tigalch

2013-11-08 18:13

manager   ~0018314

Just that i'm not mistaking: you can't run 'service heartbeat start'?
joelgriffiths

joelgriffiths

2013-11-08 19:01

reporter   ~0018317

That's correct. It exists without warning.
joelgriffiths

joelgriffiths

2013-11-08 19:32

reporter   ~0018318

exits* :D
tigalch

tigalch

2013-11-08 19:35

manager   ~0018319

Last edited: 2013-11-11 10:47

I'm also running various systems with heartbeat, all up-to-date and running fine. I will check the startup script and the paths again when I get access to the systems.
[Edit]: OK, the systems in question haven't gotten the update of the resource-agents installed.

djeckles

djeckles

2013-11-08 23:21

reporter   ~0018320

Adding my 2-cents here -

Ran into the issue as well on multiple CentOS6 systems running heartbeat. I also initially added a symlink to the 64-bit binary which sort-of worked. I noticed immediately that it did not correctly add VIP interfaces as ifconfig -a would not show the subinterfaces as it normally does despite the fact they were apparently there (i.e. they were pingable and reachable from an external system).

I also noticed that at least three files (findif, send_arp and tickle_tcp, I believe) were no longer in /opt/lib64/heartbeat but had been relocated to /usr/libexec/heartbeat.

My suspicion, based on the above, is that the 32-bit package is in the 64-bit skin on this one.

Resolution for me was to force uninstall the latest and reinstall the prior package as follows:

rpm -el --nodeps resource-agents-3.9.2-21.el6_4.8.x86_64
yum install -y resource-agents-3.9.2-21.el6_4.3.x86_64
tigalch

tigalch

2013-11-11 10:52

manager   ~0018325

Let's see where this is heading:
Files upstream as https://bugzilla.redhat.com/show_bug.cgi?id=1028957
tigalch

tigalch

2013-11-14 11:04

manager   ~0018352

Last edited: 2013-12-03 09:05

issue 1028957 got closed as DUPLICATE. Existing issue is 1028127.

https://bugzilla.redhat.com/show_bug.cgi?id=1028127

tigalch

tigalch

2013-11-30 19:15

manager   ~0018443

A new build for testing has been provided. To be found at the upstream report.
tigalch

tigalch

2013-12-01 12:31

manager   ~0018449

a very quick test showed the new heartbeat builds to work with 6.5.
tigalch

tigalch

2013-12-02 19:02

manager   ~0018529

Last edited: 2013-12-07 19:06

the modified package is now in EPEL-testing. If you try them, please leave feedback/karma at https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-12278/heartbeat-3.0.4-2.el6

tigalch

tigalch

2013-12-18 16:42

manager   ~0018692

The fixed heartbeat package has been pushed to EPEL-stable.

Issue History

Date Modified Username Field Change
2013-11-07 19:14 joelgriffiths New Issue
2013-11-08 09:32 tigalch Note Added: 0018308
2013-11-08 12:08 joelgriffiths Note Added: 0018310
2013-11-08 18:13 tigalch Note Added: 0018314
2013-11-08 18:14 tigalch Note Edited: 0018308
2013-11-08 19:01 joelgriffiths Note Added: 0018317
2013-11-08 19:32 joelgriffiths Note Added: 0018318
2013-11-08 19:35 tigalch Note Added: 0018319
2013-11-08 23:21 djeckles Note Added: 0018320
2013-11-11 10:47 tigalch Note Edited: 0018319
2013-11-11 10:52 tigalch Note Added: 0018325
2013-11-11 15:20 tigalch Status new => acknowledged
2013-11-14 11:04 tigalch Note Added: 0018352
2013-11-28 00:09 toracat Relationship added has duplicate 0006762
2013-11-30 19:15 tigalch Note Added: 0018443
2013-12-01 12:31 tigalch Note Added: 0018449
2013-12-02 19:02 tigalch Note Added: 0018529
2013-12-03 09:05 JohnnyHughes Note Edited: 0018352
2013-12-07 19:06 tigalch Note Edited: 0018529
2013-12-18 16:42 tigalch Note Added: 0018692
2013-12-18 16:42 tigalch Status acknowledged => resolved
2013-12-18 16:42 tigalch Fixed in Version => 6.5
2013-12-18 16:42 tigalch Resolution open => fixed